Package ru.bitel.bgbilling.modules.megogo.common.bean

# Class MegogoContractSubscriptionStatusPeriod

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.megogo.common.bean.MegogoContractSubscriptionStatusPeriod

All Implemented Interfaces:
  `Serializable`, `Idable`

public class MegogoContractSubscriptionStatusPeriod extends Id
Период статуса подписки периода. То есть у каждой подписки помимо своего периода может быть период ее статусов.
Но на данный момент используется только для хранения статусов приостановленных, так как они нужны для калькуляции наработки.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegogoContractSubscriptionStatusPeriod()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getIdSub()`
  `int`
  `getStatus()`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setIdSub(int idSub)`
  `void`
  `setStatus(int status)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MegogoContractSubscriptionStatusPeriod

    public MegogoContractSubscriptionStatusPeriod()

- ## Method Details

  - ### getIdSub

    public int getIdSub()

  - ### setIdSub

    public void setIdSub(int idSub)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)